# OqlHavingParser Class Reference

Inheritance diagram for OqlHavingParser:
[legend]

List of all members.

## Static Public Member Functions

static | create ()

## Public Attributes

const | CLASS_NAME = 'HavingProjection'

## Protected Member Functions

| makeOqlObject ()
| handleState ()

## Detailed Description

Definition at line 12 of file OqlHavingParser.class.php.

## Member Function Documentation

static OqlHavingParser::create | ( |  | ) | `[static]`

Returns:
  OqlHavingParser

Definition at line 19 of file OqlHavingParser.class.php.

Referenced by OQL::having(), OqlSelectParser::havingState(), and makeOqlObject().

OqlHavingParser::handleState | ( |  | ) | `[protected]`

Reimplemented from OqlParser.

Definition at line 32 of file OqlHavingParser.class.php.

References OqlParser::error(), OqlParser::getLogicExpression(), and OqlParser::makeQueryExpression().

Here is the call graph for this function:

OqlHavingParser::makeOqlObject | ( |  | ) | `[protected]`

Returns:
  OqlHavingClause

Reimplemented from OqlParser.

Definition at line 27 of file OqlHavingParser.class.php.

References create().

Here is the call graph for this function:

## Member Data Documentation

const OqlHavingParser::CLASS_NAME = 'HavingProjection'

Definition at line 14 of file OqlHavingParser.class.php.

The documentation for this class was generated from the following file:

- main/OQL/Parsers/OqlHavingParser.class.php